This version (v0.7) has not been published to npm yet.
Skip to content

Reference / @getenginex/sdk / OperatorConfig

OperatorConfig ​

Operator public configuration (GET /config).

Properties ​

captcha ​

captcha: CaptchaConfig

Sign-up captcha.


currencies ​

currencies: string[]

Accepted currencies.


currency ​

currency: CurrencyInfo

Default currency details.


defaultCurrency ​

defaultCurrency: string

Default currency.


defaultLanguage? ​

optional defaultLanguage?: string

Default language set by the operator.


features ​

features: Record<string, boolean>

Products and features turned on, e.g. { casino: true }.


languages ​

languages: string[]

Supported languages.


limits ​

limits: OperatorLimits

Limits in minor units.


otp ​

otp: OtpConfig

Flows with OTP.


paymentMethods ​

paymentMethods: PaymentMethod[]

Payment methods.


timezone? ​

optional timezone?: string

Operator IANA timezone, e.g. America/Sao_Paulo.


version ​

version: string

Contract version.